FreeMat

- Main Page
- Related Pages

vtkImplicitHalo

Section: Visualization Toolkit Filtering Classes

# Usage

vtkImplicitHalo evaluates to 1.0 for each position in the sphere of a given center and radius Radius*(1-FadeOut). It evaluates to 0.0 for each position out the sphere of a given Center and radius Radius. It fades out linearly from 1.0 to 0.0 for points in a radius from Radius*(1-FadeOut) to Radius. vtkImplicitHalo is a concrete implementation of vtkImplicitFunction. It is useful as an input to vtkSampleFunction to generate an 2D image of an halo. It is used this way by vtkShadowMapPass.

To create an instance of class vtkImplicitHalo, simply invoke its constructor as follows

      obj = vtkImplicitHalo

# Methods

The class vtkImplicitHalo has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImplicitHalo class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImplicitHalo = obj.NewInstance ()`
- `vtkImplicitHalo = obj.SafeDownCast (vtkObject o)`
- `double = obj.EvaluateFunction (double x[3])`
- `double = obj.EvaluateFunction (double x, double y, double z)`
- `obj.EvaluateGradient (double x[3], double g[3])`
- `obj.SetRadius (double )` - Radius of the sphere.
- `double = obj.GetRadius ()` - Radius of the sphere.
- `obj.SetCenter (double , double , double )` - Center of the sphere.
- `obj.SetCenter (double a[3])` - Center of the sphere.
- `double = obj. GetCenter ()` - Center of the sphere.
- `obj.SetFadeOut (double )` - FadeOut ratio. Valid values are between 0.0 and 1.0.
- `double = obj.GetFadeOut ()` - FadeOut ratio. Valid values are between 0.0 and 1.0.